<?xml version="1.0" encoding="UTF-8"?>
<!-- edited with XMLSpy v2025 (x64) (https://www.altova.com) by CGI IT CZECH REPUBLIC S.R.O. (CGI IT CZECH REPUBLIC S.R.O.) -->
<xsd:schema xmlns:ote="http://www.ote-cr.cz/schema/globals" xmlns:ds="http://www.w3.org/2000/09/xmldsig#" xmlns="http://www.ote-cr.cz/schema/market/request" xmlns:xsd="http://www.w3.org/2001/XMLSchema" targetNamespace="http://www.ote-cr.cz/schema/market/request" elementFormDefault="qualified" attributeFormDefault="unqualified">
	<xsd:import namespace="http://www.ote-cr.cz/schema/globals" schemaLocation="ote_globals.xsd"/>
	<xsd:import namespace="http://www.w3.org/2000/09/xmldsig#" schemaLocation="xmldsig-core-schema.xsd"/>
	<xsd:element name="ISOTEREQ">
		<xsd:annotation>
			<xsd:documentation xml:lang="CS">Rootovský element obsahující základní údaje o zprávě</xsd:documentation>
			<xsd:documentation xml:lang="EN">Root element containing basic message data</xsd:documentation>
		</xsd:annotation>
		<xsd:complexType>
			<xsd:sequence>
				<xsd:element name="SenderIdentification" type="ote:SenderIdentificationType">
					<xsd:annotation>
						<xsd:documentation xml:lang="CS">Identifikace odesílatele zprávy</xsd:documentation>
						<xsd:documentation xml:lang="EN">Message sender identification</xsd:documentation>
					</xsd:annotation>
				</xsd:element>
				<xsd:element name="ReceiverIdentification" type="ote:ReceiverIdentificationType">
					<xsd:annotation>
						<xsd:documentation xml:lang="CS">Identifikace příjemce zprávy</xsd:documentation>
						<xsd:documentation xml:lang="EN">Message receiver identification</xsd:documentation>
					</xsd:annotation>
				</xsd:element>
				<xsd:element name="Document" minOccurs="0">
					<xsd:annotation>
						<xsd:documentation xml:lang="CS">Doplňující kriteria požadavku</xsd:documentation>
						<xsd:documentation xml:lang="EN">Additional criteria for request</xsd:documentation>
					</xsd:annotation>
					<xsd:complexType>
						<xsd:attribute name="market" use="optional">
							<xsd:annotation>
								<xsd:documentation xml:lang="CS">Druh trhu</xsd:documentation>
								<xsd:documentation xml:lang="EN">Market type</xsd:documentation>
							</xsd:annotation>
							<xsd:simpleType>
								<xsd:restriction base="xsd:string">
									<xsd:enumeration value="DM">
										<xsd:annotation>
											<xsd:documentation xml:lang="CS">Denní trh</xsd:documentation>
											<xsd:documentation xml:lang="EN">Day ahead market</xsd:documentation>
										</xsd:annotation>
									</xsd:enumeration>
									<xsd:enumeration value="IM">
										<xsd:annotation>
											<xsd:documentation xml:lang="CS">Vnitrodenní trh</xsd:documentation>
											<xsd:documentation xml:lang="EN">Intra-day market</xsd:documentation>
										</xsd:annotation>
									</xsd:enumeration>
									<xsd:enumeration value="RRD">
										<xsd:annotation>
											<xsd:documentation xml:lang="CS">Dvoustranné smlouvy</xsd:documentation>
											<xsd:documentation xml:lang="EN">Bilateral contracts</xsd:documentation>
										</xsd:annotation>
									</xsd:enumeration>
									<xsd:enumeration value="IDA">
										<xsd:annotation>
											<xsd:documentation xml:lang="CS">Vnitrodenní aukce</xsd:documentation>
											<xsd:documentation xml:lang="EN">Intraday auctions</xsd:documentation>
										</xsd:annotation>
									</xsd:enumeration>
								</xsd:restriction>
							</xsd:simpleType>
						</xsd:attribute>
						<xsd:attribute name="task-id" use="optional">
							<xsd:annotation>
								<xsd:documentation xml:lang="CS">Referenční číslo výměny dat pro účely asynchronní komunikace HTTPs kanálem</xsd:documentation>
								<xsd:documentation xml:lang="EN">Reference number of data exchange for HTTPs channel asynchronous communication</xsd:documentation>
							</xsd:annotation>
							<xsd:simpleType>
								<xsd:restriction base="ote:task_id"/>
							</xsd:simpleType>
						</xsd:attribute>
					</xsd:complexType>
				</xsd:element>
				<xsd:choice>
					<xsd:annotation>
						<xsd:documentation xml:lang="CS">Další část xml dokumentu obsahuje buď informace o OPM nebo obchodním pokynu v IS OTE</xsd:documentation>
						<xsd:documentation xml:lang="EN">Following part of xml document contains either PDT information or IS OTE trade information</xsd:documentation>
					</xsd:annotation>
					<xsd:element name="Trade" minOccurs="0" maxOccurs="unbounded">
						<xsd:annotation>
							<xsd:documentation xml:lang="CS">Identifikace obchodního pokynu v IS OTE</xsd:documentation>
							<xsd:documentation xml:lang="EN">IS OTE trade isntruction identification</xsd:documentation>
						</xsd:annotation>
						<xsd:complexType>
							<xsd:attribute name="id" type="ote:trade_id" use="optional">
								<xsd:annotation>
									<xsd:documentation xml:lang="CS">Identifikátor obchodního pokynu</xsd:documentation>
									<xsd:documentation xml:lang="EN">Trade instruction identification</xsd:documentation>
								</xsd:annotation>
							</xsd:attribute>
							<xsd:attribute name="period" use="optional">
								<xsd:annotation>
									<xsd:documentation xml:lang="CS">Počátek období, pro které jsou požadována data</xsd:documentation>
									<xsd:documentation xml:lang="EN">Start of period the data requested for.</xsd:documentation>
								</xsd:annotation>
								<xsd:simpleType>
									<xsd:restriction base="xsd:string">
										<xsd:pattern value="[123456789]"/>
										<xsd:pattern value="1\d"/>
										<xsd:pattern value="2[012345]"/>
									</xsd:restriction>
								</xsd:simpleType>
							</xsd:attribute>
							<xsd:attribute name="trade-day" type="xsd:date" use="optional">
								<xsd:annotation>
									<xsd:documentation xml:lang="CS">Den dodávky</xsd:documentation>
									<xsd:documentation xml:lang="EN">Delivery day</xsd:documentation>
								</xsd:annotation>
							</xsd:attribute>
							<xsd:attribute name="version" use="optional">
								<xsd:annotation>
									<xsd:documentation xml:lang="CS">Verze obchodního pokynu / Verze zúčtování</xsd:documentation>
									<xsd:documentation xml:lang="EN">Version of trade instruction / Settlement version</xsd:documentation>
								</xsd:annotation>
								<xsd:simpleType>
									<xsd:restriction base="xsd:string">
										<xsd:pattern value="\d{0,5}"/>
									</xsd:restriction>
								</xsd:simpleType>
							</xsd:attribute>
							<xsd:attribute name="trade-market-flag" use="optional">
								<xsd:annotation>
									<xsd:documentation xml:lang="CS">Specifický příznak typu trhu</xsd:documentation>
									<xsd:documentation xml:lang="EN">Specific attribute of trade market flag</xsd:documentation>
								</xsd:annotation>
								<xsd:simpleType>
									<xsd:restriction base="xsd:string">
										<xsd:enumeration value="SPT">
											<xsd:annotation>
												<xsd:documentation xml:lang="CS">Spotová nabídka</xsd:documentation>
												<xsd:documentation xml:lang="EN">Spot order</xsd:documentation>
											</xsd:annotation>
										</xsd:enumeration>
										<xsd:enumeration value="DER">
											<xsd:annotation>
												<xsd:documentation xml:lang="CS">Nabídka z vypořádání futures</xsd:documentation>
												<xsd:documentation xml:lang="EN">Futures settlement order</xsd:documentation>
											</xsd:annotation>
										</xsd:enumeration>
									</xsd:restriction>
								</xsd:simpleType>
							</xsd:attribute>
							<xsd:attribute name="trade-session" use="optional">
								<xsd:annotation>
									<xsd:documentation xml:lang="CS">Seance</xsd:documentation>
									<xsd:documentation xml:lang="EN">Session</xsd:documentation>
								</xsd:annotation>
								<xsd:simpleType>
									<xsd:restriction base="xsd:string">
										<xsd:enumeration value="IDA1">
											<xsd:annotation>
												<xsd:documentation xml:lang="CS">První IDA aukce</xsd:documentation>
												<xsd:documentation xml:lang="EN">First IDA auction</xsd:documentation>
											</xsd:annotation>
										</xsd:enumeration>
										<xsd:enumeration value="IDA2">
											<xsd:annotation>
												<xsd:documentation xml:lang="CS">První IDA aukce</xsd:documentation>
												<xsd:documentation xml:lang="EN">DAM – Day Ahead Market</xsd:documentation>
											</xsd:annotation>
										</xsd:enumeration>
										<xsd:enumeration value="IDA3">
											<xsd:annotation>
												<xsd:documentation xml:lang="CS">První IDA aukce </xsd:documentation>
												<xsd:documentation xml:lang="EN">DAM – Day Ahead Market</xsd:documentation>
											</xsd:annotation>
										</xsd:enumeration>
									</xsd:restriction>
								</xsd:simpleType>
							</xsd:attribute>
						</xsd:complexType>
					</xsd:element>
				</xsd:choice>
			</xsd:sequence>
			<xsd:attribute name="id" type="ote:msg-id" use="required">
				<xsd:annotation>
					<xsd:documentation xml:lang="CS">Jednoznačný identifikátor zprávy</xsd:documentation>
					<xsd:documentation xml:lang="EN">Unique message identification</xsd:documentation>
				</xsd:annotation>
			</xsd:attribute>
			<xsd:attribute name="message-code" use="required">
				<xsd:annotation>
					<xsd:documentation xml:lang="CS">Upřesnění obsahu zprávy</xsd:documentation>
					<xsd:documentation xml:lang="EN">Message content specification</xsd:documentation>
				</xsd:annotation>
				<xsd:simpleType>
					<xsd:restriction base="xsd:string">
						<xsd:enumeration value="831">
							<xsd:annotation>
								<xsd:documentation xml:lang="CS">Dotaz na data vlastní nabídky</xsd:documentation>
								<xsd:documentation xml:lang="EN">Request for DM order data </xsd:documentation>
							</xsd:annotation>
						</xsd:enumeration>
						<xsd:enumeration value="834">
							<xsd:annotation>
								<xsd:documentation xml:lang="CS">IDA – Dotaz na data vlastní nabídky</xsd:documentation>
								<xsd:documentation xml:lang="EN">IDA - Request for order data </xsd:documentation>
							</xsd:annotation>
						</xsd:enumeration>
						<xsd:enumeration value="941">
							<xsd:annotation>
								<xsd:documentation xml:lang="CS">Požadavek na data - Celkový plán smluvených hodnot</xsd:documentation>
								<xsd:documentation xml:lang="EN">Data request - Complete plan of contracted values</xsd:documentation>
							</xsd:annotation>
						</xsd:enumeration>
						<xsd:enumeration value="944">
							<xsd:annotation>
								<xsd:documentation xml:lang="CS">DT - Požadavek na marginální ceny a množství</xsd:documentation>
								<xsd:documentation xml:lang="EN">DM - Request for marginal prices and quantity</xsd:documentation>
							</xsd:annotation>
						</xsd:enumeration>
						<xsd:enumeration value="947">
							<xsd:annotation>
								<xsd:documentation xml:lang="CS">IDA - Požadavek na marginální ceny a množství</xsd:documentation>
								<xsd:documentation xml:lang="EN">IDA - Request for marginal prices and quantity</xsd:documentation>
							</xsd:annotation>
						</xsd:enumeration>
						<xsd:enumeration value="951">
							<xsd:annotation>
								<xsd:documentation xml:lang="CS">Požadavek na data – Rozpis výsledků zúčtování po periodách</xsd:documentation>
								<xsd:documentation xml:lang="EN">Data request - Breakdown of settlement results per period. </xsd:documentation>
							</xsd:annotation>
						</xsd:enumeration>
						<xsd:enumeration value="961">
							<xsd:annotation>
								<xsd:documentation xml:lang="CS">Požadavek na data – Denní výsledky zúčtování</xsd:documentation>
								<xsd:documentation xml:lang="EN">Data request - Daily settlement results</xsd:documentation>
							</xsd:annotation>
						</xsd:enumeration>
						<xsd:enumeration value="964">
							<xsd:annotation>
								<xsd:documentation xml:lang="CS">Požadavek na data - Statistická data zúčtování odchylek</xsd:documentation>
								<xsd:documentation xml:lang="EN">Data request - Statistic data of imbalances settlement</xsd:documentation>
							</xsd:annotation>
						</xsd:enumeration>
						<xsd:enumeration value="GSD">
							<xsd:annotation>
								<xsd:documentation xml:lang="CS">Požadavek na data - Zúčtování za den (DTP)</xsd:documentation>
								<xsd:documentation xml:lang="EN">Request - Day settlement (DMG)</xsd:documentation>
							</xsd:annotation>
						</xsd:enumeration>
					</xsd:restriction>
				</xsd:simpleType>
			</xsd:attribute>
			<xsd:attribute name="date-time" type="xsd:dateTime" use="required">
				<xsd:annotation>
					<xsd:documentation xml:lang="CS">Datum a čas zprávy</xsd:documentation>
					<xsd:documentation xml:lang="EN">Date and time of message</xsd:documentation>
				</xsd:annotation>
			</xsd:attribute>
		</xsd:complexType>
	</xsd:element>
</xsd:schema>